import { App } from 'vue';

// selection
import SvgIcon from './svg-icon/index.vue';
import SelectRangeDatetime from './select-range-datetime/index.vue';
import SelectRangeTime from './select-range-time/index.vue';
import UploadButton from './upload-button/index.vue';

export default {
  install(Vue: App) {
    Vue.component('SvgIcon', SvgIcon);
    Vue.component('SelectRangeDatetime', SelectRangeDatetime);
    Vue.component('SelectRangeTime', SelectRangeTime);
    Vue.component('UploadButton', UploadButton);
  },
};
